:: Licensed under the Apache License, Version 2.0 (the "License");
:: you may not use this file except in compliance with the License.
:: You may obtain a copy of the License at
::
::   http://www.apache.org/licenses/LICENSE-2.0
::
:: Unless required by applicable law or agreed to in writing, software
:: distributed under the License is distributed on an "AS IS" BASIS,
:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
:: See the License for the specific language governing permissions and
:: limitations under the License.
::
:: 
:: KatoView Launcher script
:: Requires JAVA_HOME to be set to the location of an installed JDK.
:: 
:: Usage:
::   katoview.cmd [ -verbose ] -core <core_file> 


@echo off


set DIR=%~p0
set JARS=%DIR%..\lib
    
 "%JAVA_HOME%\bin\java.exe"  -classpath %JARS%\kato.api-${project.version}.jar;^
%JARS%\kato.cjvmti-${project.version}.jar;^
%JARS%\kato.tools.katoview-${project.version}.jar;^
%JARS%\kato.common-${project.version}.jar;^
%JARS%\kato.hprof.api-${project.version}.jar;^
%JARS%\kato.hprof.reader-${project.version}.jar;^
%JARS%\commons-lang-2.4.jar;^
%JARS%\commons-jxpath-1.3.jar;^
%JARS%\commons-codec-1.3.jar^
 org.apache.kato.katoview.KatoView %1 %2 %3
