/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




/**
 * Tests that JavaField.getBoolean works as expected.
 *
 */
public class SetupJavaField_getBoolean extends ScenarioElement  {
	public boolean trueBoolean = true;
	public boolean falseBoolean = false;
	
	public static boolean trueStaticBoolean = true;
	public static boolean falseStaticBoolean = false;

	public class IncompatibleClass {
		boolean trueBoolean = true;
	}
	public IncompatibleClass incompatibleObject = new IncompatibleClass();
	public String incompatibleClassName = IncompatibleClass.class.getName().replace('.', '/');
	
	public int notBoolean = 23;
	public Object notBoolean2 = new Object();
	
	
}
