/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




public class SetupJavaField_getModifiers extends ScenarioElement  {
	final int finalField=0;
	private char privateField = '1';
	protected char protectedField = '2';
	public String publicField = "3";	
	static long staticField = 4;
	transient char transientField = '5';
	volatile boolean volatileField = false;
	int defaultField = 10101;

	static private volatile transient byte staticPrivateVolatileTransientField = 23;
	final protected int finalProtectedField = 74;
	
	
	
}
