/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.harness;

import java.util.Properties;

/**
 * Outputs the specified properties to the system console
 * 
 */
public class JRESystemPropertyRetriever {

	
	public static void main(String[] args) {
		if(args==null || args.length==0) return;
		
		Properties props=System.getProperties();
		
		for(int i=0;i<args.length;i++) {
			String key=args[i];
			if(props.containsKey(key)) {
				String value=props.getProperty(key);
				System.out.println(key+"="+value);
			}
		}

		
	}

}
